import { Moment } from "moment";
declare type DateProperty = {
    year: number;
    month: number;
    week: number;
    date: number;
    hour: number;
    minute: number;
    second: number;
    millisecond: number;
};
export declare abstract class AbstractDate<T> {
    static buildDateProperty(momentObj?: Moment): DateProperty;
    momentDate: Moment;
    abstract format(pattern: string): string;
    abstract isBefore(date: T): boolean;
    abstract isAfter(date: T): boolean;
    toMoment(): Moment;
    toDate(): number;
    protected year: () => number;
    protected month: () => number;
    protected date: () => number;
    protected week: () => number;
    protected weekDay: () => number;
    protected hour: () => number;
    protected minute: () => number;
    protected second: () => number;
}
export {};
