import { Moment } from "moment";
import { AbstractDate } from './abstractDate';
import { LocalDateTime } from './localDateTime';
export declare class LocalDate extends AbstractDate<LocalDate> {
    static of(year: number, month: number, date: number): LocalDate;
    static now(): LocalDate;
    static parse(date: string): LocalDate;
    static parseMoment(moment: Moment): LocalDate;
    static getMonth(): number;
    static getListDay(star: string, end: string): string[];
    constructor(date?: string);
    clone(): LocalDate;
    getYear(): number;
    getMonth(): number;
    getDate(): number;
    getWeekDay(): number;
    getWeek(): number;
    getTime(): number;
    weekday(num: number): LocalDate;
    getListDay(start: LocalDate, end: LocalDate): LocalDate[];
    format(pattern?: string): string;
    isSameDay(date: LocalDate): boolean;
    isBefore(date: LocalDate): boolean;
    isAfter(date: LocalDate): boolean;
    plusYear(year: number): LocalDate;
    minusYear(year: number): LocalDate;
    plusMonth(month: number): LocalDate;
    minusMonth(month: number): LocalDate;
    plusDay(day: number): LocalDate;
    minusDay(day: number): LocalDate;
    atStartOfDay(): LocalDateTime;
    toLocalDateTime(): LocalDateTime;
    atEndOfDay(): LocalDateTime;
    atStartOfMonth(): LocalDate;
    atEndOfMonth(): LocalDate;
    atStartOfWeek(): LocalDate;
    atEndOfWeek(): LocalDate;
    setDate(day: number): LocalDate;
    setMonth(month: number): LocalDate;
    setYear(year: number): LocalDate;
    toString(): string;
}
