import { Moment } from "moment";
import { AbstractDate } from './abstractDate';
import { LocalDate } from './localDate';
import { LocalTime } from './localTime';
export declare class LocalDateTime extends AbstractDate<LocalDateTime> {
    static of(year: number, month: number, date: number, hour?: number, minute?: number, second?: number): LocalDateTime;
    static now(): LocalDateTime;
    static parse(date: string): LocalDateTime;
    static parseMoment(moment: Moment): LocalDateTime;
    constructor(date?: string);
    clone(): LocalDateTime;
    isSameDay(date: LocalDateTime): boolean;
    isSameWeek(date: LocalDateTime): boolean;
    isSameMonth(date: LocalDateTime): boolean;
    isBefore(date: LocalDateTime): boolean;
    isAfter(date: LocalDateTime): boolean;
    getYear(): number;
    getMonth(): number;
    getDate(): number;
    getHour(): number;
    getMinute(): number;
    getSecond(): number;
    getWeek(): number;
    weekday(num: number): LocalDateTime;
    getWeekDay(): number;
    getTime(): number;
    plusYear(year: number): LocalDateTime;
    minusYear(year: number): LocalDateTime;
    plusMonth(month: number): LocalDateTime;
    minusMonth(month: number): LocalDateTime;
    plusDay(day: number): LocalDateTime;
    minusDay(day: number): LocalDateTime;
    plusWeek(week: number): LocalDateTime;
    minusWeek(week: number): LocalDateTime;
    plusHour(hour: number): LocalDateTime;
    minusHour(hour: number): LocalDateTime;
    plusMinute(minute: number): LocalDateTime;
    minusMinute(minute: number): LocalDateTime;
    plusSecond(second: number): LocalDateTime;
    minusSecond(second: number): LocalDateTime;
    atStartOfDay(): LocalDateTime;
    atEndOfDay(): LocalDateTime;
    format(pattern?: string): string;
    formatDay(): string;
    toLocalDate(): LocalDate;
    toLocalTime(): LocalTime;
    atStartOfMonth(): LocalDateTime;
    atEndOfMonth(): LocalDateTime;
    atStartOfWeek(): LocalDateTime;
    atEndOfWeek(): LocalDateTime;
    setDate(day: number): LocalDateTime;
    setHour(hour: number): LocalDateTime;
    setMinute(minute: number): LocalDateTime;
    setMonth(month: number): LocalDateTime;
    setSecond(second: number): LocalDateTime;
    setYear(year: number): LocalDateTime;
    toString(): string;
}
