import { Moment } from "moment";
import { AbstractDate } from './abstractDate';
export declare class LocalTime extends AbstractDate<LocalTime> {
    static of(hour: number, minute: number, second: number): LocalTime;
    static now(): LocalTime;
    static parse(date: string): LocalTime;
    static parseMoment(moment: Moment): LocalTime;
    constructor(date?: string);
    clone(): LocalTime;
    getHour(): number;
    getMinute(): number;
    getSecond(): number;
    isBefore(date: LocalTime): boolean;
    isAfter(date: LocalTime): boolean;
    plusHour(hour: number): LocalTime;
    minusHour(hour: number): LocalTime;
    plusMinute(minute: number): LocalTime;
    minusMinute(minute: number): LocalTime;
    plusSecond(second: number): LocalTime;
    minusSecond(second: number): LocalTime;
    format(pattern?: string): string;
    setHour(hour: number): LocalTime;
    setMinute(minute: number): LocalTime;
    setSecond(second: number): LocalTime;
    toString(): string;
}
